{% extends forum is defined and forum ? '@RadditApp/forum_base.html.twig' : '@RadditApp/base.html.twig' %}

{% block page_classes %}submit-page{% endblock %}

{% block body %}
  {{ form_start(form) }}
    {{ form_row(form.url, {attr: {class: 'fetch-title'}}) }}

    {{ form_row(form.title, {attr: {rows: 3, class: 'receive-title'}}) }}

    {{ form_row(form.body, {attr: {rows: 10}}) }}

    {% if form.forum is defined %}
      {{ form_row(form.forum) }}
    {% endif %}

    {% if form.userFlag is defined %}
      {{ form_row(form.userFlag) }}
    {% endif %}

    {% if form.sticky is defined %}
      {{ form_row(form.sticky) }}
    {% endif %}

    <div class="row">
      {{ form_widget(form.submit) }}

      {% if form.delete is defined %}
        {{ form_widget(form.delete, {attr: {class: 'delete-submission'}}) }}
      {% endif %}
    </div>
  {{ form_end(form) }}
{% endblock %}

{% block javascripts %}
  {{ parent() }}

  <script>
    $('.delete-submission').click(function () {
        return confirm(Translator.trans('submission_form.confirm_delete'));
    });
  </script>
{% endblock %}
